package org.jtag.dialog;

//Titel:        JTag v2.5-01
//Version:      
//Copyright:    Copyright (c) 1999
//Autor:       Jochen Lll
//Organisation:      
//Beschreibung:  MP3 Tagger


import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


public class JTagGenerateFilenameDialog extends JDialog {
    public JLabel jLabel1 = new JLabel();
    public JTextField textField = new JTextField();
    public JRadioButton allButton = new JRadioButton();
    public JRadioButton selectionButton = new JRadioButton();
    public JButton okButton = new JButton();
    public JButton cancelButton = new JButton();
    public ButtonGroup radioGroup = new ButtonGroup();
    public JCheckBox substSpaces = new JCheckBox("Spaces to _", false);

    public JTagGenerateFilenameDialog(String title, boolean modal, boolean resize) {

        setTitle(title);
        setModal(modal);
        setResizable(resize);

        this.getContentPane().setLayout(new GridLayout(0, 1));

        JPanel panel = new JPanel(false);

        panel.setLayout(new GridLayout(0, 2));

        jLabel1.setText("Filename format:");

        allButton.setText("all");
        selectionButton.setText("selection");
    
        okButton.setText("Ok");
        cancelButton.setText("Cancel");
    
        // Add radio buttons to ButtonGroup
        radioGroup.add(allButton);
        radioGroup.add(selectionButton);

        panel.add(jLabel1);
        panel.add(textField);
        panel.add(new Label("  %n = Number"));
        panel.add(allButton);
        panel.add(new Label("  %s = Song"));
        panel.add(selectionButton);
        panel.add(new Label("  %a = Artist"));
        panel.add(substSpaces);
        panel.add(new Label("  %t = Album"));
        panel.add(new JLabel());
        panel.add(okButton);
        panel.add(cancelButton);

        this.getContentPane().add(panel);

    }

}
