package org.jtag.dialog;

//Titel:        JTag v2.4
//Version:      
//Copyright:    Copyright (c) 1999
//Autor:       Jochen Lll
//Organisation:      
//Beschreibung:  MP3 Tagger


import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


public class JTagReplaceDialog extends JDialog {
    public JLabel jLabel1 = new JLabel();
    public JTextField sourceField = new JTextField();
    public JTextField targetField = new JTextField();
    public JLabel jLabel2 = new JLabel();
    public JLabel jLabel3 = new JLabel();
    public JComboBox choice = new JComboBox();
    public JRadioButton allButton = new JRadioButton();
    public JRadioButton selectionButton = new JRadioButton();
    public JButton okButton = new JButton();
    public JButton cancelButton = new JButton();
    public ButtonGroup radioGroup = new ButtonGroup();
    public JCheckBox regCheckbox = new JCheckBox();

    public JTagReplaceDialog(String title, boolean modal, boolean resize) {

        setTitle(title);
        setModal(modal);
        setResizable(resize);

        this.getContentPane().setLayout(new GridLayout(0, 1));

        JPanel panel = new JPanel(false);

        panel.setLayout(new GridLayout(0, 2));

        jLabel1.setText("Replace in column:");

        jLabel2.setText("Replace:");

        jLabel3.setText("With:");

        allButton.setText("all");
        selectionButton.setText("selection");

        regCheckbox.setText("Regular expression");
    
        okButton.setText("Ok");
        cancelButton.setText("Cancel");
    
        // Add radio buttons to ButtonGroup
        radioGroup.add(allButton);
        radioGroup.add(selectionButton);

        panel.add(jLabel1);
        panel.add(choice);
        panel.add(jLabel2);
        panel.add(sourceField);
        panel.add(jLabel3);
        panel.add(targetField);
        panel.add(new JLabel());
        panel.add(allButton);
        //panel.add(new JLabel());
        panel.add(regCheckbox);
        panel.add(selectionButton);
        panel.add(new JLabel());
        panel.add(new JLabel());
        panel.add(okButton);
        panel.add(cancelButton);

        this.getContentPane().add(panel);

    }

}
