package org.jtag.mp3;

import java.util.*;


public abstract class mp3ListEntries {
    private static final String mp3List[] = {
            "Song title", "Artist", "Album", "Year", "Comment", "Genre",
            "Filename", "Directory", "Mpeg version", "Mpeg layer",
            "Protection bit", "Bitrate", "Frequency", "Padding bit",
            "Private bit", "Mode", "Mode extension", 
            "Copyright bit", "Original home",
            "Emphasis", "Playlength (min:sec)", "Playlength (sec)"
        };
 	
    public static String[] getList() {
        return mp3List;
    } 	
 	
    public static String[] getSortedList() {
 	 
        String sortedStrings[] = new String[mp3List.length];

        sortedStrings = mp3List;
        int a, b;

        for (a = 1; a < sortedStrings.length; a++)
            for (b = sortedStrings.length - 1; b >= a; b--) {
                if (sortedStrings[b - 1].compareTo(sortedStrings[b]) > 0) {
                    String tmp = new String(sortedStrings[b - 1]);

                    sortedStrings[b - 1] = sortedStrings[b];
                    sortedStrings[b] = tmp;
                }
            }
 	 	  
        return sortedStrings;	
    }
 	 
    public static Hashtable returnHashtable() {
        Hashtable hashtable = new Hashtable();

        for (int i = 0; i < mp3List.length; i++) {
            hashtable.put(mp3List[i], new Integer(i));
        }
   
        return hashtable;
    }
   
    public static Vector getVector() {
        Vector vector = new Vector();
		
        for (int i = 0; i < mp3List.length; i++) {
            vector.add(mp3List[i]);
        }
   
        return vector;
    }
	
    public static Vector getSortedVector() {
        Vector vector = new Vector();
		
        String list[] = getSortedList();
		
        for (int i = 0; i < list.length; i++) {
            vector.add(list[i]);
        }
   
        return vector;
    }

}
